<%@ Page Language="C#" AutoEventWireup="false" Inherits="PureChat.op.PureChatOperator" enableeventvalidation="false" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>PureChat Operators Page</title>
    <link rel="stylesheet" type="text/css" href="../PureChat.css" />
    <style type="text/css" media="screen">
		html
		{
			height: 99%;
			margin: 0;
			padding: 0;
		}
		body
		{
			height: 99%;
			margin: 0;
			padding: 0
		}
		
		form
		{
			margin: 0;
			padding: 5px
		}
    </style>
</head>
<body>
    <form id="pureChatOperatorForm" runat="server">
		<asp:scriptmanager id="scriptManager" runat="server">
			<services>
				<asp:servicereference path="../PureChatWebService.asmx" />
			</services>
		</asp:scriptmanager>
		<div style="display:none" id="fbbootstrapper" runat="server">
			<asp:panel id="panel1" runat="server" />
			<ajaxToolkit:dragpanelextender id="dpe" runat="server" targetcontrolid="panel1" draghandleid="panel1" />
			<ajaxToolkit:hovermenuextender id="hme" runat="server" targetcontrolid="panel1" popupcontrolid="panel1" />
			<ajaxToolkit:resizablecontrolextender id="rce" runat="server" targetcontrolid="panel1" handlecssclass="resizeHandle" />
		</div>
		<div class="PureChatOperatorDiv" id="mainOperatorDiv">
			<div class="PureChat_Operator_Header">
				<div class="PureChat_Operator_HeaderLeft"><asp:image id="headerImage" runat="server" alternatetext="PureChat" /></div>
				<div class="PureChat_Operator_Top_Header" id="userHeader" runat="server">
					<div class="PureChat_Operator_ChangeStatus_Container">
						<div id="userNameLabel" runat="server" class="PureChat_Operator_UserLabel" />
						<div class="PureChat_Operator_ChangeStatus" id="awayDiv" onclick="pureChat_Operator_ChangeStatus();">I'm available</div>
						<div class="PureChat_Operator_ChangeStatus_Label" id="awayMessageDiv">(click to change to away)</div>
					</div>
				</div>
				<div class="PureChat_Operator_HeaderRight"><span class="PureChat_Operator_HeaderRight_Top">bridging the gap</span><br /><span class="PureChat_Operator_HeaderRight_Bottom">between your business and your customers</span></div>
				<div class="PureChat_Operator_HeaderClear">&nbsp;</div>
			</div>
			<div id="loginDiv" runat="server" visible="true">
				<div class="PureChat_Operator_SectionContainer PureChat_Operator_Login">
					<div class="PureChat_Operator_SectionHeader">Login</div>
					<div class="PureChat_Operator_SectionContent">
						<table border="0" cellspacing="2" cellpadding="0" class="PureChat_Table">
							<tr>
								<td class="PureChat_InputLabel">Name:</td>
								<td>
									<asp:textbox id="txtName" runat="server" enableviewstate="false" maxlength="30" />
									<asp:requiredfieldvalidator id="reqName" runat="server" errormessage="Please enter your name." controltovalidate="txtName" enableclientscript="true" display="dynamic">*</asp:requiredfieldvalidator>
								</td>
							</tr>
							<tr>
								<td class="PureChat_InputLabel">Password:</td>
								<td>
									<asp:textbox id="txtPassword" runat="server" textmode="password" maxlength="200" />
								</td>
							</tr>
							<tr>
								<td colspan="2" align="center">
									<asp:button id="btnLogin" runat="server" text="Login" causesvalidation="true" cssclass="PureChat_InputButton" enableviewstate="false" />
								</td>
							</tr>
						</table>
						<asp:validationsummary id="valSummary" runat="server" displaymode="BulletList" showsummary="false" showmessagebox="true" enableclientscript="true" />
						<div id="closeWindowDiv" style="display:none" class="PureChat_Centering">You may close this window safely.</div>
					</div>
				</div>
			</div>
			<div id="operatorDiv" runat="server" visible="false">
				<div class="PureChat_Operator_Top" id="topFullDiv">
					<div class="PureChat_Operator_TabsContainer" id="tabContainer">
						<div class="PureChat_Operator_SectionContainer">
							<div class="PureChat_Operator_SectionHeader">Operator Panel&nbsp;<span onclick="pureChat_SendChatSummary();" style="font-size: x-small; text-decoration: underline; cursor: pointer" id="sendSummaryEmailSpan" runat="server" visible="false">Summary Email</span></div>
							<div class="PureChat_Operator_SectionContent">
								<ajaxtoolkit:tabcontainer id="infoTabContainer" runat="server" width="100%" height="140px">
									<ajaxtoolkit:tabpanel id="pendingChatsTab" runat="server" headertext="Pending Chats">
										<contenttemplate>
											<div id="chatsWaitingGrid" class="PureChat_GridContainer"></div>
										</contenttemplate>
									</ajaxtoolkit:tabpanel>
									<ajaxtoolkit:tabpanel id="currentOperatorsTab" runat="server" headertext="Operators">
										<contenttemplate>
											<div id="chatsInProgressGrid" class="PureChat_GridContainer"></div>
										</contenttemplate>
									</ajaxtoolkit:tabpanel>
									<ajaxtoolkit:tabpanel id="endedChatsTab" runat="server" headertext="Completed Chats">
										<contenttemplate>
											<div id="chatsEndedGrid" class="PureChat_GridContainer"></div>
										</contenttemplate>
									</ajaxtoolkit:tabpanel>
									<ajaxtoolkit:tabpanel id="abandonedChatsTab" runat="server" headertext="Abandoned Chats">
										<contenttemplate>
											<div id="chatsAbandonedGrid" class="PureChat_GridContainer"></div>
										</contenttemplate>
									</ajaxtoolkit:tabpanel>
									</ajaxtoolkit:tabpanel>
									<ajaxtoolkit:tabpanel id="urlStatsTab" runat="server" headertext="Referring Urls">
										<contenttemplate>
											<div id="referringUrlsGrid" class="PureChat_GridContainer"></div>
										</contenttemplate>
									</ajaxtoolkit:tabpanel>
								</ajaxtoolkit:tabcontainer>
								&nbsp;
							</div>
						</div>
					</div>
					<div class="PureChat_Operator_ShortcutsContainer" id="shortcutContainer">
						<div class="PureChat_Operator_SectionContent">
						    <ajaxtoolkit:tabcontainer id="shortcutTabContainer" runat="server" width="100%" height="195px">
						        <ajaxtoolkit:tabpanel id="shortcutsTab" runat="server" headertext="Quick Shortcuts">
									<contenttemplate>
										<div class="PureChat_Operator_ShortcutsInnerContainer" id="shortcutsContainer" runat="server"></div>
							            <div class="PureChat_Operator_ShortcutsMessage" id="shortcutsMessage" runat="server"></div>
									</contenttemplate>
								</ajaxtoolkit:tabpanel>
								<ajaxtoolkit:tabpanel id="operatorChatTab" runat="server" headertext="Operator Chat">
								    <contenttemplate>
								        <div id="operatorChatContainer" class="PureChat_OperatorChatContainer">
								            <div id="operatorChatWindow" class="PureChat_OperatorChatWindow"></div>
								            <input type="text" id="operatorChatInput" maxlength="300" class="PureChat_OperatorChatInput" />
								        </div>
								    </contenttemplate>
								</ajaxtoolkit:tabpanel>
						    </ajaxtoolkit:tabcontainer>
						</div>
					</div>
					<div style="clear: both; height: 10px; line-height: 10px">&nbsp;</div>
				</div>
				<div id="topCollapsedDiv" style="display: none">
					<div class="PureChat_Operator_SectionContainer_NoHeight">
						<div class="PureChat_Operator_SectionHeader_NoBorder" id="topCollapsedHeader">
							Operator Panel
							<span class="PureChat_Operator_SectionHeader_SmallText" id="topCollapsedPendingChatsSpan"></span>
						</div>
					</div>
				</div>
				<div class="PureChat_Operator_Separator" id="separatorDiv" onclick="pureChat_Operator_CollapseTop(true, this);">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" style="width: 100%; margin-bottom: 2px; background-image: url(../images/bg_CollapseExpand.gif); background-repeat: repeat-x">
						<tr>
							<td align="center">
								<table border="0" cellpadding="0" cellspacing="0" width="38px" style="width: 38px"><tr><td><img src="../images/collapseButton.gif" alt="Collapse" border="0" id="collapseExpandImage" /></td></tr></table>
							</td>
						</tr>
					</table>
				</div>
				<div class="PureChat_Operator_ChatsOuterContainer" id="chatOuterContainer">
					<div class="PureChat_Operator_SectionContainer">
						<div class="PureChat_Operator_SectionHeader">Current Chat Sessions</div>
						<div class="PureChat_Operator_SectionContent">
							<div id="chatContainer" class="PureChat_Operator_ChatsContainer">&nbsp;</div>
						</div>
					</div>
				</div>
			</div>
			<div class="PureChat_Operator_Footer" id="footer" runat="server">PureChat (c) 2008, <a href="http://www.axosoft.com/" target="_blank">Axosoft, LLC</a></div>
		</div>
		<div id="soundContainer" style="height: 1px; width: 1px"></div>
		<div id="popupsContainer" style="display: none" runat="server">
			<asp:panel id="setAwayPanel" runat="server">
				<div class="PureChat_Operator_SetAwayPanel">
					<input type='hidden' id='setAwayOper' />
					<br />
					<div id='setAwayLabel' class="PureChat_Centering"></div>
					<br />
					<div class="PureChat_Centering">
						<input type='button' class="PureChat_InputButton" value="Ok" onclick="pureChat_Operator_SetOperatorAway_Confirm();" />
						&nbsp;
						<input type='button' class="PureChat_InputButton" value="Cancel" onclick="pureChat_Operator_SetOperatorAway_Cancel();" />
					</div>
				</div>
			</asp:panel>
			<ajaxtoolkit:modalpopupextender id="setAwayPopup" runat="server" popupcontrolid="setAwayPanel" targetcontrolid="setAwayPanel" backgroundcssclass="PureChat_Modal_Background"  />
			<asp:panel id="requeuePanel" runat="server">
				<div class="PureChat_Operator_RequeuePanel">
					<input type="hidden" id="requeueChatId" />
					<input type="hidden" id="requeueOperatorId" />
						<div class="PureChat_Centering">
							This will place this user back into the queue. Please enter an updated version of their question and press Ok to confirm.
							<br /><br />
							<asp:textbox id="requeueQuestion" runat="server" maxlength="150" cssclass="PureChat_Operator_RequeuePanel_QuestionInput" />
							<br />
							<asp:requiredfieldvalidator id="reqRequeueQuestion" controltovalidate="requeueQuestion" runat="server" display="Dynamic" enableclientscript="true" errormessage="Please enter the updated question." validationgroup="RequeueGroup" />
						</div>
					<br />
					<div class="PureChat_Centering">
						<asp:button validationgroup="requeueQuestion" causesvalidation="true" id="requeueQuestionOkButton" runat="server" onclientclick="pureChat_Operator_RequeueChat_Confirm(); return false;" text="Ok" cssclass="PureChat_InputButton" />
						&nbsp;
						<input type='button' class="PureChat_InputButton" value="Cancel" onclick="pureChat_Operator_RequeueChat_Cancel();" />
					</div>
				</div>
			</asp:panel>
			<ajaxtoolkit:modalpopupextender id="requeuePopup" runat="server" popupcontrolid="requeuePanel" targetcontrolid="requeuePanel" backgroundcssclass="PureChat_Modal_Background"  />
			<asp:panel id="shortcutsPanel" runat="server">
				<div class="PureChat_Operator_ShortcutsPanel" id="shortcut_Panel">
					
					<input type="hidden" id="shortcut_hotkey" />
					<input type="hidden" id="shortcut_editMode" value='0' />
					<div id='shortcuts_delete' style="display: none" class="PureChat_Centering">
						<br />
						Are you sure you want to delete this shortcut?
						<br /><br />
						<input type='button' value="Yes" onclick="pureChat_DeleteShortcut_Confirm();" />
						&nbsp;
						<input type='button' value="No" onclick="pureChat_DeleteShortcut_Cancel();" />
						</div>
					<div id='shortcuts_add' style="display: none" class="PureChat_Centering">
						<br />
						<table border="0" cellpadding="0" cellspacing="2" width="95%" style="text-align: left">
							<tr>
								<td>Shortcut:</td>
								<td><input type="text" id="newShortcut_Hotkey" maxlength="15" /></td>
							</tr>
							<tr>
								<td valign="top">Replace With:</td>
								<td><textarea id="newShortcut_Text" rows="3" cols="30"></textarea></td>
							</tr>
						</table>
						<br />
						<input type='button' value="Save" onclick="pureChat_AddShortcut_Confirm();" />
						&nbsp;
						<input type='button' value="Cancel" onclick="pureChat_AddShortcut_Cancel();" />
					</div>
				</div>
			</asp:panel>
			<ajaxtoolkit:modalpopupextender id="shortcutsPopup" runat="server" popupcontrolid="shortcutsPanel" targetcontrolid="shortcutsPanel" backgroundcssclass="PureChat_Modal_Background" />
			<asp:panel id="logoutPanel" runat="server">
				<div class="PureChat_Operator_LogoutPanel">
					<div class="PureChat_Centering">
						<br />
						<span id="logoutQuestion">Are you sure you want to logout?</span>
						<span id="logoutComplete" style="display: none">Logout successful. You may close this window.</span>
						<br /><br />
						<div id="logoutButtonsDiv">
							<input type='button' value="Yes" onclick="pureChat_Logout_Confirm();" />
							&nbsp;
							<input type='button' value="No" onclick="pureChat_Logout_Cancel();" />
						</div>
					</div>
				</div>
			</asp:panel>
			<ajaxtoolkit:modalpopupextender id="logoutPopup" runat="server" popupcontrolid="logoutPanel" targetcontrolid="logoutPanel" backgroundcssclass="PureChat_Modal_Background" />
			
			<asp:panel id="pluginPopupPanel" runat="server">
				<div class="PureChat_Operator_PluginPopupPanel">
					<iframe src="about:blank" frameborder="0" id="plugin_frame" style="height: 100%; width: 100%; margin: 0; padding: 0"></iframe>
				</div>
			</asp:panel>
			<ajaxtoolkit:modalpopupextender id="pluginPopup" runat="server" popupcontrolid="pluginPopupPanel" targetcontrolid="pluginPopupPanel" backgroundcssclass="PureChat_Modal_Background" />
		</div>
    </form>
</body>
</html>

</div>